## indi-beefocus 0.1%2B20220128183230

=== debian/changelog ===
indi-beefocus (0.1+20220128183230-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 28 Jan 2022 19:00:41 +0000

indi-beefocus (0.1-2) unstable; urgency=medium

  * upload source
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 16 Dec 2021 18:48:45 +0100

indi-beefocus (0.1-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 15 Dec 2021 16:48:45 +0000
