## indi-beefocus 0.1%2B20221222010828

=== debian/changelog ===
indi-beefocus (0.1+20221222010828-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 0.1

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 22 Dec 2022 01:09:11 +0000

indi-beefocus (0.1+20220611122618-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 12:26:38 +0000
