=== debian/changelog ===
indi-beefocus (0.1+20221222010828-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113013)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:20:24 +0200
