=== debian/control ===
Source: indi-beefocus
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
Standards-Version: 4.6.2
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-beefocus
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-beefocus.git

Package: indi-beefocus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for Bee Focus
 This package contains an INDI driver for an open source hardware/software
 telescope focuser.  The driver interacts with a Bee Focuser using TCP/IP.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
